Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFComment

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFComment

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.Comment

    public class XSSFComment

extends java.lang.Object
implements org.apache.poi.ss.usermodel.Comment

Constructor Summary
`XSSFComment(CommentsTable comments, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment comment, schemasMicrosoftComVml.CTShape vmlShape)` Creates a new XSSFComment, associated with a given low level comment object.

Method Summary
`java.lang.String` | `getAuthor()`
`int` | `getColumn()`
`int` | `getRow()`
`org.apache.poi.ss.usermodel.RichTextString` | `getString()`
`boolean` | `isVisible()`
`void` | `setAuthor(java.lang.String author)` Name of the original comment author.
`void` | `setColumn(int col)` Set the column of the cell that contains the comment
`void` | `setRow(int row)` Set the row of the cell that contains the comment
`void` | `setString(org.apache.poi.ss.usermodel.RichTextString string)` Sets the rich text string used by this comment.
`void` | `setString(java.lang.String string)`
`void` | `setVisible(boolean visible)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFComment

    public XSSFComment(CommentsTable comments,
                       org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment comment,
                       schemasMicrosoftComVml.CTShape vmlShape)

  Creates a new XSSFComment, associated with a given low level comment object.

Method Detail

### getAuthor

    public java.lang.String getAuthor()

  Specified by:
    `getAuthor` in interface `org.apache.poi.ss.usermodel.Comment`
  Returns:
    Name of the original comment author. Default value is blank.

### setAuthor

    public void setAuthor(java.lang.String author)

  Name of the original comment author. Default value is blank.

  Specified by:
    `setAuthor` in interface `org.apache.poi.ss.usermodel.Comment`
  Parameters:
    `author` - the name of the original author of the comment

### getColumn

    public int getColumn()

  Specified by:
    `getColumn` in interface `org.apache.poi.ss.usermodel.Comment`
  Returns:
    the 0-based column of the cell that the comment is associated with.

### getRow

    public int getRow()

  Specified by:
    `getRow` in interface `org.apache.poi.ss.usermodel.Comment`
  Returns:
    the 0-based row index of the cell that the comment is associated with.

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `org.apache.poi.ss.usermodel.Comment`
  Returns:
    whether the comment is visible

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.apache.poi.ss.usermodel.Comment`
  Parameters:
    `visible` - whether the comment is visible

### setColumn

    public void setColumn(int col)

  Set the column of the cell that contains the comment

  Specified by:
    `setColumn` in interface `org.apache.poi.ss.usermodel.Comment`
  Parameters:
    `col` - the 0-based column of the cell that contains the comment

### setRow

    public void setRow(int row)

  Set the row of the cell that contains the comment

  Specified by:
    `setRow` in interface `org.apache.poi.ss.usermodel.Comment`
  Parameters:
    `row` - the 0-based row of the cell that contains the comment

### getString

    public org.apache.poi.ss.usermodel.RichTextString getString()

  Specified by:
    `getString` in interface `org.apache.poi.ss.usermodel.Comment`
  Returns:
    the rich text string of the comment

### setString

    public void setString(org.apache.poi.ss.usermodel.RichTextString string)

  Sets the rich text string used by this comment.

  Specified by:
    `setString` in interface `org.apache.poi.ss.usermodel.Comment`
  Parameters:
    `string` - the XSSFRichTextString used by this object.

### setString

    public void setString(java.lang.String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD